import request from '@/utils/request'

// liebiao
export function selectCarFenceList(data) {
  return request({
    url: '/electronic/carFence/selectConnect',
    method: 'post',
    data:data
  })
}

// 刷新方法
export function addCarFence(data) {
  return request({
    url: '/electronic/carFence/addCarFence',
    method: 'post',
    data:data
  })
}

// 刷新方法
export function clazzList() {
  return request({
    url: '/electronic/carFenceClazz/selectClazz',
    method: 'post',
  })
}

// 刷新方法
export function typeList(data) {
  return request({
    url: '/electronic/carFenceType/selectType',
    method: 'post',
  })
}
// 刷新方法
export function carAddList(data) {
  return request({
    url: '/electronic/carFence/carAddList',
    method: 'post',
    data:data
  })
}

// 查询所有车名称
export function selectCarInformationIdAndLicensePlate() {
  return request({
    url: '/electronic/carinformation/selectCarInformation',
    method: 'post',
  })
}
// 添加车辆围栏组
export function carMiddleGroupList() {
  return request({
    url: '/electronic/CarFenceGroup/selectCarMiddleGroup',
    method: 'post',
  })
}
// 查看车辆围栏组
export function carGroupList(data) {
  return request({
    url: '/electronic/carFence/carGroupList',
    method: 'post',
    data:data
  })
}
// 添加中间围栏组
export function carAddFenceList(data) {
  return request({
    url: '/electronic/carFence/selectFenceMiddleGroup',
    method: 'post',
    data:data
  })
}
// 查询
export function carFenceGroupList(data) {
  return request({
    url: '/electronic/carFence/selectCarFenceGroupList?id='+data,
    method: 'post',
    data:data
  })
}

// 解绑
export function carFenceGroupDel(data) {
  return request({
    url: '/electronic/carFence/carFenceGroupDel',
    method: 'delete',
    data:data
  })
}

// 解绑车辆
export function carDel(data) {
  return request({
    url: '/electronic/carFence/carDel',
    method: 'delete',
    data:data
  })
}

